#ifndef _SAFE_WRITE_H_
#define _SAFE_WRITE_H_

#include <unistd.h>


#define _SAFE_WRITE_READ_BUF_SIZE 256


/* _safe_write avoids SIGPIPE when writing but it skips a part of an possible
   in between input. This is safe here, since no pipelining is supported.
*/
ssize_t safe_write(int fd, const void *buf, size_t count);

#endif /* _SAFE_WRITE_H_ */  

  
