#ifndef _CONTAINERS_H_
#define _CONTAINERS_H_

#define _SMMAPD_
#include "containers_public.h"

struct classes_s {
  class_descriptor_t *descr;
  int id;
  void *handle;
  struct classes_s *next;
};

typedef struct classes_s classes_t;

struct worker_handle_s {
  int id;
  void *handle;
  struct worker_handle_s *next;
};

typedef struct worker_handle_s worker_handle_t;

struct container_handle_s {
  worker_handle_t worker_handle_root;
};

typedef struct container_handle_s container_handle_t;

int containers_setup(container_handle_t **ch);
int containers_destroy(container_handle_t *ch);
int containers_dispatcher(container_handle_t *ch, char *input, char *output);

int register_all();


#endif /* _CONTAINERS_H_ */  

  
